ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Ant 1.6.3+ and JunitReport
Date Thu, 23 Jun 2005 07:14:09 GMT
On Wed, 22 Jun 2005, Stephen Nesbitt <snesbitt@cobaltgroup.com> wrote:

> One question - we are finding that placing Xalan 2 into ANT_LIB
> requires that we change the name from xalan.jar to ant-xalan.jar to
> ensure that it is placed on the classpath prior to ant-xalan1.jar.
> 
> Is this correct?

Not at all.

ant-xalan1.jar contains Ant classes that require Xalan 1.x at runtime,
it doesn't contain Xalan itself.

There are no classes in Ant that require Xalan 2.x specifically, Ant
uses TraX and those classes are in ant-trax.jar.

You probably don't even need to ensure that Xalan 2.x is in front of
Xalan 1.x in your classpath since Ant should prefer Xalan 2 over 1.
But I must admit that I've never tried to run Ant with both of them on
the CLASSPATH at the same time.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message